Skip to content
Dashboard

List computers

GET/computers

List all active computers for the user's organization. Use type=persistent to list persistent sessions instead.

Query ParametersExpand Collapse
type: optional "live" or "persistent"

Session type filter

One of the following:
"live"
"persistent"
ReturnsExpand Collapse
id: optional string
auto_kill: optional boolean
created_at: optional string
endpoints: optional map[string]
expires_at: optional string
idle_expires_at: optional string
inactivity_timeout_seconds: optional number
kind: optional string
last_activity_at: optional string
max_lifetime_seconds: optional number
status: optional string

List computers

curl https://api.tzafon.ai/computers \
    -H "Authorization: Bearer $TZAFON_API_KEY"
[
  {
    "id": "id",
    "auto_kill": true,
    "created_at": "created_at",
    "endpoints": {
      "foo": "string"
    },
    "expires_at": "expires_at",
    "idle_expires_at": "idle_expires_at",
    "inactivity_timeout_seconds": 0,
    "kind": "kind",
    "last_activity_at": "last_activity_at",
    "max_lifetime_seconds": 0,
    "status": "status"
  }
]
Returns Examples
[
  {
    "id": "id",
    "auto_kill": true,
    "created_at": "created_at",
    "endpoints": {
      "foo": "string"
    },
    "expires_at": "expires_at",
    "idle_expires_at": "idle_expires_at",
    "inactivity_timeout_seconds": 0,
    "kind": "kind",
    "last_activity_at": "last_activity_at",
    "max_lifetime_seconds": 0,
    "status": "status"
  }
]